import request from '@/config/axios'

export interface PreDataBarLineReqVO {
  queryIds: string[],
  predictTime: string,
  startTime: string,
  endTime: string
}

export interface PreDataItemChartReqVO {
  itemId: string,
  startTime: string,
  endTime: string
}


export const getPreDataCharts = (data: PreDataBarLineReqVO) => {
  return request.post({ url: '/model/api/mcs/predict-data/charts', data })
}

export const getPreDataItemChart = (data: PreDataItemChartReqVO) => {
  return request.post({ url: '/model/api/mcs/predict-data/item-chart', data })
}

export const exportPredictValue = (params) => {
  return request.download({ url: '/model/api/mcs/predict-data/exportValue', params })
}
